%define upstream_name    Alien-SDL
%define upstream_version 1.446

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Building, finding and using SDL binaries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-shebang.patch
BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Fetch) >= 0.240.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Text::Patch) >= 1.400.0
BuildRequires: pkgconfig(sdl)

BuildArch: noarch
Obsoletes: perl-Alien-SDL < 1.446.0-2

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(File::ShareDir\\)$

%description
Please see the Alien manpage for the manifesto of the Alien namespace.

In short 'Alien::SDL' can be used to detect and get configuration settings
from an installed SDL and related libraries. Based on your platform it
offers the possibility to download and install prebuilt binaries or to
build SDL & co. from source codes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
echo 1 | %__perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --installdirs=vendor

%check
./Build test

%files
%license LICENSE
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Feb 13 2020 tv <tv> 1.446.0-7.mga8
+ Revision: 1513110
- fix shebang
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.446.0-6.mga7
+ Revision: 1281568
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.446.0-5.mga7
+ Revision: 1162799
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1.446.0-4.mga6
+ Revision: 1022492
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.446.0-3.mga6
+ Revision: 970230
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 sander85 <sander85> 1.446.0-2.mga6
+ Revision: 885330
- Convert to noarch package

* Tue Jun 30 2015 sander85 <sander85> 1.446.0-1.mga6
+ Revision: 848595
- update to 1.446
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- add excludes
+ jquelin <jquelin>
- perl 5.20 rebuild

* Tue May 20 2014 sander85 <sander85> 1.444.0-1.mga5
+ Revision: 624488
- update to 1.444

* Thu Mar 20 2014 jquelin <jquelin> 1.440.0-4.mga5
+ Revision: 606069
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.440.0-3.mga4
+ Revision: 525749
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 1.440.0-2.mga4
+ Revision: 434465
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.440.0-1.mga4
+ Revision: 430190
- new release
- rebuild for new perl

* Mon Mar 18 2013 jquelin <jquelin> 1.438.0-4.mga3
+ Revision: 403806
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.438.0-3.mga3
+ Revision: 362921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.438.0-2.mga3
+ Revision: 314894
- perl 5.16.2 shebang rebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.438.0-1.mga3
+ Revision: 295361
- update to 1.438

* Wed Jul 04 2012 jquelin <jquelin> 1.436.0-1.mga3
+ Revision: 267279
- update to 1.436

* Tue Jun 05 2012 kharec <kharec> 1.434.0-1.mga3
+ Revision: 254519
- update to 1.434

* Thu Jan 05 2012 jquelin <jquelin> 1.430.0-1.mga2
+ Revision: 191182
- update to 1.430
- update to 1.428

* Tue Jun 21 2011 jquelin <jquelin> 1.427.0-1.mga2
+ Revision: 111411
- update to 1.427

* Wed Jun 15 2011 jquelin <jquelin> 1.426.0-1.mga2
+ Revision: 106456
- update to 1.426

* Sat Feb 26 2011 jquelin <jquelin> 1.425.0-1.mga1
+ Revision: 60651
- update to 1.425

* Fri Jan 21 2011 jquelin <jquelin> 1.421.0-1.mga1
+ Revision: 29343
- mageia rebuild
- imported package perl-Alien-SDL

